package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/9/26
 */
public class QueryConditionDto {

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "服务器所需字段名称")
    private String conditionName;

    @ApiModelProperty(value = "条件")
    private List<ConditionDto> conditons;

    public QueryConditionDto() {
    }

    public QueryConditionDto(String name, String conditionName, List<ConditionDto> conditons) {
        this.name = name;
        this.conditionName = conditionName;
        this.conditons = conditons;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getConditionName() {
        return conditionName;
    }

    public void setConditionName(String conditionName) {
        this.conditionName = conditionName;
    }

    public List<ConditionDto> getConditons() {
        return conditons;
    }

    public void setConditons(List<ConditionDto> conditons) {
        this.conditons = conditons;
    }
}
